> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Zip Code

> Search Zip Code entries using various filters.




## OpenAPI

````yaml get /public/user/zip_code/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/zip_code/search:
    get:
      tags:
        - Zip Code
      summary: Search Zip Code
      description: |
        Search Zip Code entries using various filters.
      parameters:
        - name: zip_code_id
          in: query
          description: Filter by specific zip code ID
          schema:
            type: integer
        - name: zip_code_alias
          in: query
          description: Filter by zip code alias
          schema:
            type: string
        - name: subdivision_id
          in: query
          description: Filter by subdivision ID
          schema:
            type: string
        - name: zip_code_node_count
          in: query
          description: Filter by zip code node count
          schema:
            type: integer
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successful Zip Code search
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ZipCodeSuccessfulSearchResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    ZipCodeSuccessfulSearchResponse:
      type: object
      properties:
        data:
          type: array
          description: >-
            Array of Zip Code items matching the search criteria up to the limit
            of per_page paramater.
          items:
            type: object
            properties:
              subdivision_id:
                type: string
                example: ru-irk
              zip_code_alias:
                type: string
                example: kt3
              zip_code_creation_datetime:
                type: string
                format: date-time
              zip_code_id:
                type: integer
                example: 123
              zip_code_last_update_datetime:
                type: string
                format: date-time
              zip_code_node_count:
                type: integer
                example: 1234
        item_count:
          type: integer
          description: Total number of Zip Code items returned in the data field.
        message:
          type: string
          description: Status message for the search.
        page:
          type: integer
          description: Current page number of the search results returned.
        per_page:
          type: integer
          description: Number of Zip Code items returned per page.
        total_count:
          type: integer
          description: Total of Zip Code items that match the search filter.
      description: Zip Code search was successful.
      example:
        data:
          - subdivision_id: ru-irk
            zip_code_alias: kt3
            zip_code_id: 123
            zip_code_node_count: 1234
        item_count: 1
        message: Zip Code search successful.
        page: 1
        per_page: 10
        total_count: 1
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````